/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.vsb.vis.visvzorweb;

import cz.vsb.vis.visvzor.model.Clovek;
import java.io.Serializable;
import javax.annotation.PostConstruct;
import javax.ejb.EJB;
import javax.enterprise.context.SessionScoped;
import javax.faces.event.ActionEvent;
import javax.inject.Named;

/**
 *
 * @author nav79
 */
@Named("lideController")
@SessionScoped
public class LideController implements Serializable {

    Clovek clovek = new Clovek();

    @EJB
    LideWebService lideWebService;

    private int pozice;

    @PostConstruct
    public void init() {
        pozice = lideWebService.getPocetLidi();
    }

    public Clovek getClovek() {
        return clovek;
    }

    public void setClovek(Clovek clovek) {
        this.clovek = clovek;
    }

    public void addClovek(ActionEvent event) {
        lideWebService.addClovek(clovek);
    }

    public void predchoziClovek(ActionEvent event) {
        clovek = lideWebService.getClovek(--pozice);
    }

    public void dalsiClovek(ActionEvent event) {
        clovek = lideWebService.getClovek(++pozice);
    }
}
